Subject: [p2p-sip] sip in ad-hoc n/ws

From: sgurminder at gmail.com (Gurminder)
Date: Mon, 3 Jul 2006 15:02:25 +0530

Thanks to jose and Greg, for showing me the way.
yes,  I understand now the point that how sip in Ad-hoc n/ws and p2p-sip
differ.
With refernce to your suggestions,  I will use DHT for data(Ipaddress)
storage.

The Idea goes like this.

I have a softphone as application, AODV implementation and a DHT
implementation.

When a node will come up, its presence will be stored in network, using
concept of key-> data
mapping.
Key in this case will be name of person and data will be the Ip address.

Softphone will get a list of all the nodes in the network as the keys.

Instead of querying for data as is case in filesharing systems which search
the key index for filename key,
we will allow the DHT implementation to show all the data to softphone in a
list form.

For this aim in mind I am not able to decide which DHT implementation will
serve my purpose,
Ofcourse I have to do changes in present implementations
Like Bamboo, Chord, Tapastry...etc.
I am looking for something with implementation in C.

Please give me your valuable suggestions to solve the purpose....sorry if it
appears Offtopic.
Gurminder Singh.

On 6/30/06, Greg Daley < gregd at research.panasonic.com> wrote:
>
> Hi Gurminder,
>
> The issues of Adhoc network deployment and application/session
> layer SIP deployment are logically separate.
>
> The DAD/Address configuration operations you mention are
> required for every application, not just SIP.
>
> It may be that in general on the Internet, additional
> configuration may be passed along with address configuration,
> as in DHCP, but this is not strictly a function of
> networking or addressing configuration.
>
> So we should probably not assume analogous operations
> exist in Ad-hoc networks.
>
> And we had better not rely on anything like them for P2P-SIP
> networks.
>
> All P2P-SIP needs is addressing and packet carriage services,
> like other applications.  Its in no way relies on special
> properties of the  Ad-hoc network.
>
> Let's not conflate Ad-hoc and P2P-SIP concepts at this
> formative stage.
>
> It's an interesting application domain, but should have no
> bearing on the protocols.
>
> Greg
>
>
> Gurminder wrote:
> > Hi,
> >          I am working on an application which requires decentralised
> > sip. Actually it is, providing VoIP services in Ad-hoc n/ws as in
> > Disaster scenario, also I have seen this objective in one of slides of
> > David, Bruce and Ensuoo.
> >
> > Before knowing about this p2p-sip project, we tried a design for this
> > kind of application.
> >
> > Scenario is wireless mobile Ad-hoc n/ws using 802.11 b
> >
> > #To communicate to each other all nodes need to have unique IP, (thought
> > of using Duplicate Address Detection)
> > #Routing of messages will be done using AODV, so all should support it,
> > #Each node should broadcast its presence to all others in network.
> >
> > Issues:
> > * How to do DAD?
> > * Does node need proxy services?
> > As such there can be no centralised proxy server so every node will have
>
> > a proxy server on it,
> > So job of proxy server will be to perform lookups (in my view).
> >
> > Work Done:
> > Tested voice call using Sip on multihop mobile n/w using AODV.
> >
> > So please tell me how this objective can be achieved or any other better
>
> > design or idea for such application.
> >
> > Waiting for all of your valuable suggestions
> > Gurminder Singh
> >
> >
> > ------------------------------------------------------------------------
>
> >
> > _______________________________________________
> > p2p-sip mailing list
> > p2p-sip at cs.columbia.edu
> > https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://lists.cs.columbia.edu/pipermail/p2p-sip/attachments/20060703/4e203d6d/attachment.html